.\"	$NetBSD: tu.4,v 1.15 2009/04/11 21:54:03 joerg Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)tu.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt TU 4 vax
.Os
.Sh NAME
.Nm tu
.Nd
.Tn VAX-11/750
.Tn TU-58
console cassette interface
.Sh DESCRIPTION
The
.Nm tu
interface provides access to the
.Tn VAX-11/750
.Tn TU-58
console cassette drive.
.Pp
The interface supports only block
.Tn I/O
to the
.Tn TU-58
cassettes.
The devices are normally manipulated with the
.Xr dd 1
program.
.Pp
The device driver is automatically included when a
system is configured to run on an 11/750.
.Pp
The
.Tn TU-58
on an 11/750 uses the Radial Serial Protocol
.Pq Tn RSP
to communicate with the cpu over a serial line.
This protocol is inherently unreliable as it has no flow
control measures built in.
.Sh FILES
.Bl -tag -width /dev/tu0xx -compact
.It Pa /dev/tu0
.El
.Sh DIAGNOSTICS
.Bl -diag
.It tu%d: lost recv interrupt.
A timer watching the controller detected no interrupt for
an extended period while an operation was outstanding.
This usually indicates that one or more receiver interrupts
were lost and the transfer is restarted.
.El
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.1 .
.br
A new driver showed up in
.Nx 1.2 .
.Sh BUGS
The
.Tn VAX-11/750
console interface is unusable
while the system is multi-user, because interrupts
occur at a very high priority level (spl7) and cannot be blocked with splbio.
Use this driver only when the system is running single-user and,
even then, with caution.
